Moneybird logo
Moneybird API

Tax rates

Tax rates are the VAT tariffs that apply to your products and services.


List all available tax rates for the administration

GET
https://moneybird.com/api/v2
/{administration_id}/tax_rates{format}

Returns a paginated list of all available tax rates for the administration

Required scope(s)

Any of: settings, sales_invoices, documents or estimates

List all available tax rates for the administration › path Parameters

administration_id
​administration_id · pattern: ^\d+$ · required

The unique identifier of the administration

A unique record identifier

format
​string · pattern: ^(.(json|xml))?$ · required

The format in which the response is given, can be empty to use the default format

Default: .json

List all available tax rates for the administration › query Parameters

filter
​string

Filters are key:value terms separated by commas (e.g. percentage:21,tax_rate_type:sales_invoice). Any filter you pass replaces the defaults below entirely, so include every key you need. Available filters:

FilterTypeDefaultDescription
nameStringSelect tax rates by their full name
partial_nameStringSelect tax rates with this substring in their name
percentageIntegerSelect tax rates with the specified percentage, e.g. specify 21 for 21%
tax_rate_typeStringallall, general_journal_document, purchase_invoice or sales_invoice
countryStringSelect tax rates with the specified country. Must be a 2 letter abbreviation following ISO 3166. Please note that only foreign tax rates will have this field set. Domestic tax rates will not have this set at the moment.
show_taxBooleanUse true to tax rates for which tax is shown on the invoice, false for when it's not shown. No value will select both
activeBooleanUse true to select active tax rates. Use false for inactive tax rates. No value will select both
created_afterStringTax rates created after the given time (exclusive). ISO 8601 formatted string. The time to compare with is in UTC timezone
updated_afterStringTax rates updated after the given time (exclusive). ISO 8601 formatted string. The time to compare with is in UTC timezone

You can filter by multiple tax rate types at the same time by separating the values with a pipe (tax_rate_type:purchase_invoice|sales_invoice).

page
​integer | string
per_page
​integer | string · min: 1 · max: 100 · pattern: ^\d+$

List all available tax rates for the administration › Responses

A list of tax rates

id
​identifier · pattern: ^\d+$

A unique record identifier

administration_id
​administration_id · pattern: ^\d+$

A unique record identifier

name
​string
​
tax_rate_type
​string · enum
Enum values:
sales_invoice
purchase_invoice
general_journal_document
show_tax
​boolean | null
active
​boolean | null
country
​string | null
created_at
​string | null · date-time
updated_at
​string | null · date-time